<?php
add_action( 'after_setup_theme', 'ge2018_setup' );
function ge2018_setup()
{
load_theme_textdomain( 'ge2018', get_template_directory() . '/languages' );
add_theme_support( 'title-tag' );
add_theme_support( 'automatic-feed-links' );
add_theme_support( 'post-thumbnails' );
global $content_width;
if ( ! isset( $content_width ) ) $content_width = 640;
register_nav_menus(
array( 'main-menu' => __( 'Main Menu', 'ge2018' ) )
);
}
add_action( 'wp_enqueue_scripts', 'ge2018_load_scripts' );
function ge2018_load_scripts()
{
wp_enqueue_script( 'jquery' );
}
add_action( 'comment_form_before', 'ge2018_enqueue_comment_reply_script' );
function ge2018_enqueue_comment_reply_script()
{
if ( get_option( 'thread_comments' ) ) { wp_enqueue_script( 'comment-reply' ); }
}
add_filter( 'the_title', 'ge2018_title' );
function ge2018_title( $title ) {
if ( $title == '' ) {
return '&rarr;';
} else {
return $title;
}
}
add_filter( 'wp_title', 'ge2018_filter_wp_title' );
function ge2018_filter_wp_title( $title )
{
return $title . esc_attr( get_bloginfo( 'name' ) );
}
add_action( 'widgets_init', 'ge2018_widgets_init' );
function ge2018_widgets_init()
{
register_sidebar( array ( // emplacement pour les liens de changement de langues
'name' => __( "Sélecteur de langues (zone entête de page)", 'ge2018' ),
'id' => 'language_selector',
'before_title' => '<h3 class="widget-title">',
'after_title' => '</h3>',
) );
register_sidebar( array ( // emplacement des éléments de la homepage
'name' => __( "Communauté (zone page d'accueil)", 'ge2018' ),
'id' => 'homepage_widgets',
'before_title' => '<h3 class="widget-title">',
'after_title' => '</h3>',
) );
register_sidebar( array ( // emplacement de la liste de partenaires dans le footer
'name' => __( "Partenaires (zone pied de page 1)", 'ge2018' ),
'id' => 'partners_widgets',
'before_title' => '<h2 class="widget-title">',
'after_title' => '</h2>',
) );
register_sidebar( array ( // emplacement du menu dans le footer
'name' => __( "Menu secondaire (zone pied de page 2)", 'ge2018' ),
'id' => 'footer_widgets',
'before_title' => '<h2 class="widget-title">',
'after_title' => '</h2>',
) );
register_sidebar( array ( // emplacement de la newsletter dans le footer
'name' => __( "Formulaire newsletter (zone pied de page 3)", 'ge2018' ),
'id' => 'footer_newsletter',
'before_title' => '<h2 class="widget-title">',
'after_title' => '</h2>',
) );
}
function ge2018_custom_pings( $comment )
{
$GLOBALS['comment'] = $comment;
?>
<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>"><?php echo comment_author_link(); ?></li>
<?php 
}
add_filter( 'get_comments_number', 'ge2018_comments_number' );
function ge2018_comments_number( $count )
{
if ( !is_admin() ) {
global $id;
$comments_by_type = &separate_comments( get_comments( 'status=approve&post_id=' . $id ) );
return count( $comments_by_type['comment'] );
} else {
return $count;
}
}


// fonction pour avoir un shortcode permettant d'inclure un article dans un article (liste des parrains / marraines)
// pour inclure un article: [include_post id="xxx"] où xxx est l'id de l'article.

// a modifier :
// afficher le nom (titre)
// afficher l'image
function diww_include_post($atts)
{
	$thepostid = intval($atts[id]);
	$output = array(3);
	query_posts("p=$thepostid");
	if (have_posts()) : while (have_posts()) : the_post();
		$output[0] = get_the_title($post->ID);
		$output[1] .= get_the_content($post->ID);
		$output[2] .= get_the_post_thumbnail($post->ID);
	endwhile; else:
		// failed, output nothing
	endif;
	wp_reset_query();

	$formatted_output = '<div class="includedPost"><h3 class="includedPostName">' . $output[0] . '</h3>' . $output[2] . '<p class="includedPostText">' . $output[1] . '</p></div>';

	return $formatted_output;
}

add_shortcode("include_post", "diww_include_post");





// Personnaliser totalement la balise <!--more-->
function mon_lire_la_suite() {
	$more = '';
	if (pll_current_language(locale) == "fr_FR"){
		$more = 'Afficher toutes les informations';
	}else if (pll_current_language(locale) == "de_CH"){
		$more = 'Alle Informationen anschauen';
	}else if (pll_current_language(locale) == "it_IT"){
		$more = 'Visualizza tutte le informazioni';
	}
 return ' <span class="container_bouton" style="margin-top:2rem;"><a class="bouton" href="' . get_permalink() . '" title="Vers: ' . get_the_title() . '">'.$more.'</a>';
}
add_filter( 'the_content_more_link', 'mon_lire_la_suite' );

